<?php
/**
 * Forty_Two_Asset_Not_Enqueueable_Exception class
 *
 * @package Forty_Two
 * @license GPL-2.0-or-later
 * @link    https://aspengrovestudios.com/themes/forty-two/
 */

/**
 * Exception thrown when an asset is not registered with WordPress when it should be enqueued.
 *
 * @since 1.0.0
 */
class Forty_Two_Asset_Not_Enqueueable_Exception extends RuntimeException {

	/**
	 * Creates an exception from a given asset handle.
	 *
	 * @since 1.0.0
	 *
	 * @param string $handle Asset handle.
	 * @return Forty_Two_Asset_Not_Enqueueable_Exception Exception for the given handle.
	 */
	public static function from_handle( $handle ) {
		/* translators: %s: asset handle */
		$message = sprintf( __( 'Asset %s cannot be enqueued because it is not registered.', 'forty-two' ), $handle );

		return new self( $message );
	}
}
