<?php
/**
 * Forty_Two_Asset_Not_Registered_Exception class
 *
 * @package Forty_Two
 * @license GPL-2.0-or-later
 * @link    https://aspengrovestudios.com/themes/forty-two/
 */

/**
 * Exception thrown when an asset is not registered when it is requested.
 *
 * @since 1.0.0
 */
class Forty_Two_Asset_Not_Registered_Exception extends InvalidArgumentException {

	/**
	 * Creates an exception from a given asset handle.
	 *
	 * @since 1.0.0
	 *
	 * @param string $handle Asset handle.
	 * @return Forty_Two_Asset_Not_Registered_Exception Exception for the given handle.
	 */
	public static function from_handle( $handle ) {
		/* translators: %s: asset handle */
		$message = sprintf( __( '%s is not a registered asset.', 'forty-two' ), $handle );

		return new self( $message );
	}
}
