<?php
/**
 * Plugin compatibility functions
 *
 * @package Forty_Two
 * @license GPL-2.0-or-later
 * @link    https://aspengrovestudios.com/themes/forty-two/
 */

/**
 * Jetpack compatibility.
 */
if ( defined( 'JETPACK__VERSION' ) ) {
	require get_template_directory() . '/inc/plugin-compat/jetpack.php';
}

/**
 * WooCommerce compatibility.
 */
if ( class_exists( 'WooCommerce' ) ) {
	require get_template_directory() . '/inc/plugin-compat/woocommerce.php';
}

/**
 * Easy Digital Downloads compatibility.
 */
if ( function_exists( 'EDD' ) ) {
	require get_template_directory() . '/inc/plugin-compat/easy-digital-downloads.php';
}

/**
 * WP Subtitle compatibility.
 */
if ( function_exists( 'the_subtitle' ) ) {
	require get_template_directory() . '/inc/plugin-compat/wp-subtitle.php';
}

/**
 * WP Ajaxify Comments compatibility.
 */
if ( defined( 'WPAC_PLUGIN_NAME' ) ) {
	require get_template_directory() . '/inc/plugin-compat/wp-ajaxify-comments.php';
}

/**
 * Yoast SEO compatibility.
 */
if ( defined( 'WPSEO_VERSION' ) ) {
	require get_template_directory() . '/inc/plugin-compat/wordpress-seo.php';
}
