<?php
/**
 * The sidebar containing the main widget area
 *
 * @package Forty_Two
 * @license GPL-2.0-or-later
 * @link    https://aspengrovestudios.com/themes/forty-two/
 */

/**
 * Global used to access sidebar registration data.
 *
 * @global array $wp_registered_sidebars Associative array of registered sidebars.
 */
global $wp_registered_sidebars;

if ( ! forty_two_should_display_sidebar() ) {
	return;
}

$sidebar_slug = forty_two_get_sidebar_name();

if ( ! forty_two_is_widget_area_active( $sidebar_slug ) ) {
	return;
}

$sidebar_title = __( 'Primary Sidebar', 'forty-two' );
if ( isset( $wp_registered_sidebars[ $sidebar_slug ] ) ) {
	$sidebar_title = $wp_registered_sidebars[ $sidebar_slug ]['name'];
}

?>

			<aside id="sidebar" class="site-sidebar widget-area" aria-label="<?php echo esc_attr( $sidebar_title ); ?>">
				<?php forty_two_render_widget_area( $sidebar_slug ); ?>
			</aside><!-- #sidebar -->
