<?php
/**
 * Template part for displaying attachment metadata
 *
 * @package Forty_Two
 * @license GPL-2.0-or-later
 * @link    https://aspengrovestudios.com/themes/forty-two/
 */

$metadata = forty_two_get_attachment_metadata();

?>
<ul class="entry-attachment-meta">
	<?php foreach ( forty_two_get_attachment_metadata_fields() as $field => $label ) : ?>
		<?php if ( forty_two_display_attachment_metadata( $field ) ) : ?>
			<li class="<?php echo esc_attr( 'attachment-metadata-' . str_replace( '_', '-', $field ) ); ?>">
				<?php
				$output = $label . ': ';
				if ( ! empty( $metadata[ $field ] ) ) {
					$output .= $metadata[ $field ];
				} elseif ( ! empty( $metadata['image_meta'][ $field ] ) ) {
					$output .= $metadata['image_meta'][ $field ];
				}

				echo wp_kses( $output, array(
					'sup' => array(),
					'sub' => array(),
				) );
				?>
			</li>
		<?php endif; ?>
	<?php endforeach; ?>
</ul><!-- .entry-attachment-meta -->
