<?php
/**
 * The template for displaying site info in the footer
 *
 * @package Forty_Two
 * @license GPL-2.0-or-later
 * @link    https://aspengrovestudios.com/themes/forty-two/
 */

$footer_widget_areas = forty_two( 'footer_widget_areas' );

if ( ! $footer_widget_areas->should_display() ) {
	return;
}

?>
<aside class="footer-widgets site-component is-flex" aria-label="<?php esc_attr_e( 'Footer', 'forty-two' ); ?>" role="complimentary">
	<div class="site-component-inner">
		<?php
		foreach ( $footer_widget_areas->get_widget_area_names() as $name ) {
			if ( ! forty_two_is_widget_area_active( $name ) ) {
				continue;
			}

			$class = 'footer-widget-column' . ( $footer_widget_areas->is_wide_widget_area( $name ) ? ' footer-widget-column-wide' : '' );

			?>
			<div id="<?php echo esc_attr( $name ); ?>" class="<?php echo esc_attr( $class ); ?>">
				<?php forty_two_render_widget_area( $name ); ?>
			</div>
			<?php
		}
		?>
	</div>
</aside><!-- .widget-area -->
